use std::net::SocketAddr;

use axum::Router;
use tracing::info;

pub async fn listen(r: Router) {
    let addr = SocketAddr::from(([127, 0, 0, 1], 3000));
    info!("Listening on '{}'", addr);
    axum::Server::bind(&addr)
        .serve(r.into_make_service())
        .await
        .unwrap();
}
