# Setup

```shell
$ direnv allow
```

# Running

```shell
$ cargo run
```

# Testing

```shell
cargo test
cargo run
hurl contract.hurl --variable base='http://localhost:3000' --verbose
```

# Regenerate Entities

```shell
$ sea-orm-cli generate entity -u $DATABASE_URL -o src/entities
```
